Setup

This page will walk you through installing Velocitab on a Velocity proxy server.

Requirements

  • A Velocity proxy server
  • Backend Minecraft servers running Minecraft version 1.19 or newer†
  • Protocolize version 2.2.5+ installed on your Velocity proxy

†Servers that support clients with versions older than 1.19 are not supported, as Velocitab relies on dispatching protocol-compatible packets. Users attempting to connect on earlier versions will cause errors to display in your proxy server console.

Installation

  1. Download the latest version of Velocitab
  2. Download the latest version of Protocolize
  3. Drag both into the /plugins/ folder on your Velocity proxy server
  4. Download and install additional optional dependencies on your proxy and backend servers as needed:
    1. If you'd like Velocitab to display user roles from LuckPerms, ensure LuckPerms is installed on your proxy as well, and configured to synchronise role information via MySQL and Plugin Messages or Redis.
    2. If you'd like to use PlaceholderAPI placeholders, install PAPIProxyBridge on both your Velocity server and Spigot-based Minecraft servers. Also ensure PlaceholderAPI is installed on your spigot servers.
  5. Restart your proxy to let Velocitab generate its configuration file
  6. Stop your proxy server, modify the config.yml file to your liking, and start your server.

Velocitab should now be successfully installed on your proxy.